
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DigitalDeliveryMethodCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="DigitalDeliveryMethodCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="None"/>
 *     &lt;enumeration value="DownloadURL"/>
 *     &lt;enumeration value="AlternateDeliveryInstructions"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "DigitalDeliveryMethodCodeType")
@XmlEnum
public enum DigitalDeliveryMethodCodeType {


    /**
     * 
     * 					The item cannot be downloaded.
     * 					
     * 
     */
    @XmlEnumValue("None")
    NONE("None"),

    /**
     * 
     * 					The item can be downloaded by using a URL.
     * 					
     * 
     */
    @XmlEnumValue("DownloadURL")
    DOWNLOAD_URL("DownloadURL"),

    /**
     * 
     * 					The item can be downloaded according to instructions specified by the seller.
     * 					
     * 
     */
    @XmlEnumValue("AlternateDeliveryInstructions")
    ALTERNATE_DELIVERY_INSTRUCTIONS("AlternateDeliveryInstructions"),
    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode");
    private final String value;

    DigitalDeliveryMethodCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DigitalDeliveryMethodCodeType fromValue(String v) {
        for (DigitalDeliveryMethodCodeType c: DigitalDeliveryMethodCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
